Module Module1

    Sub Main()
        'Nastaveni textu v zahlavi okna prikazoveho radku a vysvetleni hry
        Console.Title = "Hledání skrytého čísla: Hra šance a schopnosti"
        Console.WriteLine("Vymyslel jsem si číslo v rozmezí od 1 do 100.")
        Console.WriteLine("Uhodnete jej?")
        Console.WriteLine()

        'Deklarace generatoru nahodnych cisel jako zdroje techto cisel
        Dim generator As New Random
        'Vyber nahodneho cisla v rozmezi 1-101 (krome 101) a jeho prirazeni promenne 
        'nahodneCislo
        Dim nahodneCislo As Integer = generator.Next(1, 101)
        Dim pocetOdhadu As Integer = 0
        Dim odhadovaneCislo As Integer

        'Tato smycka se opakuje stale dokola, dokud uzivatel cislo neuhodne
        Do
            Console.Write("Váš odhad: ")
            'Nacteni cisla, zadaneho uzivatelem, a jeho prirazeni promenne 
            'odhadovaneCislo
            odhadovaneCislo = Console.ReadLine
            'Struktura Select Case vyhodnoti promennou odhadovaneCislo
            Select Case odhadovaneCislo
                'Je-li odhadnuto spravne cislo, zobrazeni gratulace
                Case nahodneCislo
                    Console.ForegroundColor = ConsoleColor.DarkYellow
                    Console.WriteLine("Bingo, uhodli jste!")
                    Console.ForegroundColor = ConsoleColor.Gray
                    'Je-li odhadnute cislo male, zobrazeni vyzvy k zadani vetsiho cisla
                Case Is < nahodneCislo
                    Console.Write("Zadané číslo je příliš malé, ")
                    Console.WriteLine("zkuste zadat větší")
                    'Je-li odhadnute cislo velke, zobrazeni vyzvy k zadani mensiho cisla
                Case Is > nahodneCislo
                    Console.Write("Zadané číslo je příliš velké, ")
                    Console.WriteLine("zkuste zadat menší")
            End Select

            Console.WriteLine()
            'Zvyseni promenne pocetOdhadu, nebot v ni se uchovava pocet pokusu 
            pocetOdhadu = pocetOdhadu + 1
            'Smycka bezi do doby, nez uzivatel cislo uhodne
        Loop Until odhadovaneCislo = nahodneCislo

        'Po dokonceni smycky nasleduje zobrazeni poctu pokusu
        Console.Write("Skryté číslo jste našli během {0} pokusů.", pocetOdhadu)
        'Cekani do doby, nez uzivatel stiskne nejakou klavesu
        Console.ReadKey()
    End Sub

End Module
